AUI.String = {}

function AUI.String.FormatName(_name)
	return zo_strformat(SI_UNIT_NAME, _name)
end

function AUI.String.IsEmpty(str)
	return str == nil or str == ''
end

function AUI.String.ToFormatedNumber(value)
	return ZO_CommaDelimitNumber(value)
end

function AUI.String.ToNumber(_s)
	local length = string.len(_s)
	local n = nil
	for i = 1, length do
		local int = string.byte(_s, i)
	
		if not n then
			n = int
		else
			n = n + int		
		end
	end

	return n
end

function AUI.String.FirstToUpper(str)
    return str:sub(1, 1):upper() .. str:sub(2, str:len())
end

function AUI.String.GetPercentString(value1, value2)
	local percent = value2 / value1 * 100
	
	return zo_strformat(SI_STAT_VALUE_NON_PERCENT, AUI.Math.Round(percent, 1) .. "%")
end

function AUI.String.Split(s, sep)
	if not sep then
		sep = "[^,%s]+"
	end

	local t = {}
	for k in string.gmatch(s, sep) do	
		table.insert(t, k)
	end	
	
	return t
end